Auth -user
Get current user info
GET
/auth/v1/userinfoReturns the profile information of the authenticated user.
Authorization
Bearer Authorization<token>
In: header
Response Body
200application/json
OK
type: object
active_org_id?string
country_code?string
email?string
email_verified?boolean
first_name?string
id?string
image_url?string
language_code?string
last_name?string
username?string
curl -X GET "https://api.rixl.com/auth/v1/userinfo"fetch("https://api.rixl.com/auth/v1/userinfo", {
method: "GET"
})package main
import (
"fmt"
"net/http"
"io/ioutil"
)
func main() {
url := "https://api.rixl.com/auth/v1/userinfo"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := ioutil.ReadAll(res.Body)
fmt.Println(res)
fmt.Println(string(body))
}import requests
url = "https://api.rixl.com/auth/v1/userinfo"
response = requests.request("GET", url)
print(response.text)import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.net.http.HttpResponse.BodyHandlers;
import java.time.Duration;
HttpClient client = HttpClient.newBuilder()
.connectTimeout(Duration.ofSeconds(10))
.build();
HttpRequest.Builder requestBuilder = HttpRequest.newBuilder()
.uri(URI.create("https://api.rixl.com/auth/v1/userinfo"))
.GET()
.build();
try {
HttpResponse<String> response = client.send(requestBuilder.build(), BodyHandlers.ofString());
System.out.println("Status code: " + response.statusCode());
System.out.println("Response body: " + response.body());
} catch (Exception e) {
e.printStackTrace();
}using System;
using System.Net.Http;
using System.Text;
var client = new HttpClient();
var response = await client.GetAsync("https://api.rixl.com/auth/v1/userinfo");
var responseBody = await response.Content.ReadAsStringAsync();OK
application/json
{
"active_org_id": "string",
"country_code": "string",
"email": "string",
"email_verified": true,
"first_name": "string",
"id": "string",
"image_url": "string",
"language_code": "string",
"last_name": "string",
"username": "string"
}